:host {
    width: 398px;
    display: flex;

    form {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: flex-end;

        .control-wrapper {
            margin-top: 24px;
        }
    }
}

mb-input {
    width: 100%;
    padding: 10px 0 0 0;
}

:host::ng-deep {
    mb-form {
        z-index: 3;
    }

    .mat-form-field {
        width: 100%;

        * {
            overflow: visible;
        }
    }

    .mat-focused {
        .input-label {
            position: relative;
            padding: 5px 0;
            top: -15px;
        }
    }

    .mat-form-field-should-float:not(.mat-focused) {
        .mat-form-field-label {
            top: 21px;
            left: 5px;
            padding: 0;
            margin: 0;
        }
    }

    .mat-form-field-should-float {
        .mat-form-field-label {
            top: 15px;
            left: 5px;
            padding: 0;
            margin: 0;
            border: 0;
        }
    }

    input {
        width: 96%;
        font-size: 16px;
        line-height: 24px;
        padding: 14px 8px;
        border-radius: 5px;
        background-color: rgba(137, 171, 255, 0.31);
        color: var(--main-font-color);
        margin: 8px 0;
    }

    .mat-form-field-subscript-wrapper,
    .mat-form-field-underline {
        display: none;
    }

    .mat-form-field-label-wrapper {
        .mat-form-field-label+.mat-form-field-empty {
            top: 15px;
            left: 5px;
            font-size: 16px;
        }

        .mat-form-field-label {
            top: 25px;
            left: 5px;
            font-size: 16px;
            padding: 10px 0;
        }
    }

    .mat-form-field-wrapper,
    .mat-form-field-infix {
        padding: 0;
        border: 0;
    }
}